module(..., package.seeall)

mvc = {}
mvc.on_load = function(self, parent)
	self.model.set_processname(string.match(self.conf.prefix, "[^/]+"))
end

default_action = "status"

function status(self)
	return self.model.getstatus()
end

function startstop(self)
	return self.handle_form(self, self.model.get_startstop, self.model.startstop_service, self.clientdata)
end

function details(self)
	return self.model.getstatusdetails()
end

function listfiles(self)
	return self.model.getfilelist()
end

function expert(self)
	return self.handle_form(self, function() return self.model.getfiledetails(self.clientdata.filename) end, self.model.updatefiledetails, self.clientdata, "Save", "Edit Postgresql File", "File Saved")
end
