<% local data, viewlibrary, page_info, session = ... 
require("htmlviewfunctions")
%>

<% htmlviewfunctions.displaycommandresults({"expert"}, session) %>

<% if viewlibrary and viewlibrary.dispatch_component then
	viewlibrary.dispatch_component("status")
end %>

<h1><%= html.html_escape(data.label) %></h1>
<DL>
<TABLE>
	<TR style="background:#eee;font-weight:bold;">
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">File</TD>
		<TD style="padding-right:20px;white-space:nowrap;text-align:left;" class="header">Size</TD>
		<TD style="white-space:nowrap;text-align:left;" class="header">Last Modified</TD>
	</TR>		


<% for i,file in ipairs(data.value) do %>
	<TR>
		<TD style="padding-right:20px;white-space:nowrap;"><%=  html.link{value = "expert?filename=" .. file.filename.."&redir="..page_info.orig_action, label=file.filename} %></TD>
		<TD style="padding-right:20px;white-space:nowrap;"><%= html.html_escape(file.filesize) %></TD>
		<TD style="white-space:nowrap;" width="90%"><%= html.html_escape(file.mtime) %></TD>
	</TR>
<% end %>
</TABLE>
</DL>
